Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.reflection
Class CachedMemberAccessors

    java.lang.Object
      com.ejie.r01f.reflection.CachedMemberAccessors

public class CachedMemberAccessors
extends java.lang.Object

Encapsula los método de acceso (get/set) a un miembro de un objeto Este objeto se puede cachear para acelerar las llamadas via reflection a los métodos get/set

Field Summary
`java.lang.reflect.Method` | `getterAccessorMethod` Metodo getter
`java.lang.String` | `memberName` Definición de la clase padre
`java.lang.reflect.Method` | `setterAccessorMethod` Metodo setter

Constructor Summary
`CachedMemberAccessors()` Constructor vacio
`CachedMemberAccessors(java.lang.String newMemberName, java.lang.reflect.Method newGetterAccessorMethod, java.lang.reflect.Method newSetterAccessorMethod)` Constructor

Method Summary
`java.lang.reflect.Method` | `getGetterAccessorMethod()` obtiene el método getter
`java.lang.String` | `getMemberName()` Devuelve el nombre del miembro
`java.lang.reflect.Method` | `getSetterAccessorMethod()` devuelve el método setter
`void` | `setGetterAccessorMethod(java.lang.reflect.Method theGetterAccessorMethod)` Establece el método getter
`void` | `setMemberName(java.lang.String theMemberName)` Establece el nombre del miembro
`void` | `setSetterAccessorMethod(java.lang.reflect.Method theSetterAccessorMethod)` establece el metodo setter

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### memberName

    public java.lang.String memberName

  Definición de la clase padre

### getterAccessorMethod

    public java.lang.reflect.Method getterAccessorMethod

  Metodo getter

### setterAccessorMethod

    public java.lang.reflect.Method setterAccessorMethod

  Metodo setter

Constructor Detail

### CachedMemberAccessors

    public CachedMemberAccessors()

  Constructor vacio

### CachedMemberAccessors

    public CachedMemberAccessors(java.lang.String newMemberName,
                                 java.lang.reflect.Method newGetterAccessorMethod,
                                 java.lang.reflect.Method newSetterAccessorMethod)

  Constructor

Parameters:
  `newMemberName` - nombre del miembro
  `newGetterAccessorMethod` - metodo getter
  `newSetterAccessorMethod` - metodo setter

Method Detail

### getMemberName

    public java.lang.String getMemberName()

  Devuelve el nombre del miembro

  Returns:
    el nombre del miembro

### setMemberName

    public void setMemberName(java.lang.String theMemberName)

  Establece el nombre del miembro

  Parameters:
    `theMemberName` - el nombre del miembro

### getGetterAccessorMethod

    public java.lang.reflect.Method getGetterAccessorMethod()

  obtiene el método getter

  Returns:
    el método getter

### setGetterAccessorMethod

    public void setGetterAccessorMethod(java.lang.reflect.Method theGetterAccessorMethod)

  Establece el método getter

  Parameters:
    `theGetterAccessorMethod` - el método setter

### getSetterAccessorMethod

    public java.lang.reflect.Method getSetterAccessorMethod()

  devuelve el método setter

  Returns:
    el método setter

### setSetterAccessorMethod

    public void setSetterAccessorMethod(java.lang.reflect.Method theSetterAccessorMethod)

  establece el metodo setter

  Parameters:
    `theSetterAccessorMethod` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD